> For the complete documentation index, see [llms.txt](https://docs.mastersoftgroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersoftgroup.com/harmony-suite/user-guides/version-3.0.0/australia-post-parcel-locker-plus-lookup-and-validation/guides/understanding-australia-post-parcel-locker-plus-data.md).

# Understanding Australia Post Parcel Locker Plus Data

```
{
    "status": "SUCCESS",
    "messages": [],
    "payload": [
        {
            "fullAddress": "Aust Catholic Uni Strathfield Pcl Lkr, 25a Barker Rd, STRATHFIELD NSW 2135",
            "addressLine1": "25a Barker Rd",
            "addressLine2": "STRATHFIELD NSW 2135",
            "dpid": "98635762",
            "localityName": "STRATHFIELD",
            "postcode": "2135",
            "buildingName1": "Aust Catholic Uni Strathfield Pcl Lkr",
            "latitude": "-33.876703",
            "longitude": "151.078330",
            "id": "98635762_UPL",
            "attributes": {
                "address_line_1": "25a Barker Rd",
                "description": "Available 24x7",
                "id": "98635762_UPL",
                "name": "Aust Catholic Uni Strathfield Pcl Lkr",
                "record_type": "upl",
                "type": "UPL"
            }
        },
        {
            "fullAddress": "Strathfield Parcel Lockers, Shop 1 19 Everton Road, STRATHFIELD NSW 2135",
            "addressLine1": "Shop 1 19 Everton Road",
            "addressLine2": "STRATHFIELD NSW 2135",
            "dpid": "76897456",
            "localityName": "STRATHFIELD",
            "postcode": "2135",
            "buildingName1": "Strathfield Parcel Lockers",
            "latitude": "-33.871547",
            "longitude": "151.095547",
            "id": "76897456_UPL",
            "attributes": {
                "address_line_1": "Shop 1 19 Everton Road",
                "description": "Available 24/7",
                "id": "76897456_UPL",
                "location_description": "Parcel Locker is located outside main entrance to Post Shop",
                "name": "Strathfield Parcel Lockers",
                "record_type": "upl",
                "type": "UPL"
            }
        }
    ]
}
```

##

## Data Objects

#### addressLine1

Type: `String`

*Example: "Shop 1 19 Everton Road"*

Address Line of the Location

#### description

Type: `String`

*Example: "Available 24x7"*

Description of location often includes operating hours of the location.

#### &#x20;directions

Type: `String`

Direction on how to find the Parcel Locker location

#### location\_description

Type: `String`

Direction on how to find the Parcel Locker location

#### Type

Type: `String`

See RecordType

#### RecordType

Type: `String`

Record Type and Type refers to the type of AustPost Assets that the record relates to.

<table><thead><tr><th width="211">Type Code</th><th>Description</th></tr></thead><tbody><tr><td>UPL​</td><td>PARCEL LOCKER​ (Collection point)</td></tr><tr><td>LPO​</td><td>LICENSED POST OFFICE​ (Collection point)</td></tr><tr><td>PO​</td><td>POST OFFICE​ (Collection point)</td></tr><tr><td>CPA​</td><td>COMMUNITY POSTAL AGENT​ (Collection point)</td></tr><tr><td>RA​</td><td>RETAIL ANNEXE​ (Collection point)</td></tr><tr><td>RP​</td><td>POSTSHOP​ (Collection point)</td></tr><tr><td>POA​</td><td>POST OFFICE AGENCY​ (Collection point)</td></tr><tr><td>PO​</td><td>POST OFFICE​ (Collection point)</td></tr><tr><td>PDEP​</td><td>DELIVERY ANNEX​ (Collection point)</td></tr><tr><td>BC​</td><td>BUSINESS CENTRE​ (Collection point)</td></tr><tr><td>RSPB​</td><td>RED STREET POSTING BOX​ (Sending point)</td></tr><tr><td>CSPB​</td><td>COMBINED STREET POSTING BOX​ (Sending point)</td></tr></tbody></table>

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersoftgroup.com/harmony-suite/user-guides/version-3.0.0/australia-post-parcel-locker-plus-lookup-and-validation/guides/understanding-australia-post-parcel-locker-plus-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
